Imported Debian patch 2.5.1p3-1
[debian/amanda] / Makefile.in
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 srcdir = @srcdir@
18 top_srcdir = @top_srcdir@
19 VPATH = @srcdir@
20 pkgdatadir = $(datadir)/@PACKAGE@
21 pkglibdir = $(libdir)/@PACKAGE@
22 pkgincludedir = $(includedir)/@PACKAGE@
23 top_builddir = .
24 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
25 INSTALL = @INSTALL@
26 install_sh_DATA = $(install_sh) -c -m 644
27 install_sh_PROGRAM = $(install_sh) -c
28 install_sh_SCRIPT = $(install_sh) -c
29 INSTALL_HEADER = $(INSTALL_DATA)
30 transform = $(program_transform_name)
31 NORMAL_INSTALL = :
32 PRE_INSTALL = :
33 POST_INSTALL = :
34 NORMAL_UNINSTALL = :
35 PRE_UNINSTALL = :
36 POST_UNINSTALL = :
37 build_triplet = @build@
38 host_triplet = @host@
39 target_triplet = @target@
40 subdir = .
41 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
42         $(srcdir)/Makefile.in $(top_srcdir)/configure AUTHORS \
43         ChangeLog INSTALL NEWS
44 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
45 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
46         $(top_srcdir)/configure.in
47 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
48         $(ACLOCAL_M4)
49 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
50  configure.lineno configure.status.lineno
51 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
52 CONFIG_HEADER = $(top_builddir)/config/config.h
53 CONFIG_CLEAN_FILES =
54 SOURCES =
55 DIST_SOURCES =
56 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
57         html-recursive info-recursive install-data-recursive \
58         install-exec-recursive install-info-recursive \
59         install-recursive installcheck-recursive installdirs-recursive \
60         pdf-recursive ps-recursive uninstall-info-recursive \
61         uninstall-recursive
62 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
63 am__vpath_adj = case $$p in \
64     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
65     *) f=$$p;; \
66   esac;
67 am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
68 am__installdirs = "$(DESTDIR)$(pkgdatadir)"
69 pkgdataDATA_INSTALL = $(INSTALL_DATA)
70 DATA = $(pkgdata_DATA)
71 ETAGS = etags
72 CTAGS = ctags
73 DIST_SUBDIRS = config common-src amandad-src tape-src client-src \
74         dumper-src server-src changer-src restore-src recover-src \
75         oldrecover-src amplot man docs example
76 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
77 distdir = $(PACKAGE)-$(VERSION)
78 top_distdir = $(distdir)
79 am__remove_distdir = \
80   { test ! -d $(distdir) \
81     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
82          && rm -fr $(distdir); }; }
83 DIST_ARCHIVES = $(distdir).tar.gz
84 GZIP_ENV = --best
85 distuninstallcheck_listfiles = find . -type f -print
86 distcleancheck_listfiles = find . -type f -print
87 ACLOCAL = @ACLOCAL@
88 ALLOCA = @ALLOCA@
89 AMANDA_DBGDIR = @AMANDA_DBGDIR@
90 AMANDA_DEBUG_DAYS = @AMANDA_DEBUG_DAYS@
91 AMANDA_TMPDIR = @AMANDA_TMPDIR@
92 AMDEP_FALSE = @AMDEP_FALSE@
93 AMDEP_TRUE = @AMDEP_TRUE@
94 AMLINT = @AMLINT@
95 AMLINTFLAGS = @AMLINTFLAGS@
96 AMPLOT_CAT_COMPRESS = @AMPLOT_CAT_COMPRESS@
97 AMPLOT_CAT_GZIP = @AMPLOT_CAT_GZIP@
98 AMPLOT_CAT_PACK = @AMPLOT_CAT_PACK@
99 AMPLOT_COMPRESS = @AMPLOT_COMPRESS@
100 AMTAR = @AMTAR@
101 AM_CFLAGS = @AM_CFLAGS@
102 AR = @AR@
103 AUTOCONF = @AUTOCONF@
104 AUTOHEADER = @AUTOHEADER@
105 AUTOMAKE = @AUTOMAKE@
106 AWK = @AWK@
107 AWK_VAR_ASSIGNMENT_OPT = @AWK_VAR_ASSIGNMENT_OPT@
108 BINARY_OWNER = @BINARY_OWNER@
109 BUILD_MAN_PAGES_FALSE = @BUILD_MAN_PAGES_FALSE@
110 BUILD_MAN_PAGES_TRUE = @BUILD_MAN_PAGES_TRUE@
111 CAT = @CAT@
112 CC = @CC@
113 CCDEPMODE = @CCDEPMODE@
114 CFLAGS = @CFLAGS@
115 CHIO = @CHIO@
116 CHS = @CHS@
117 CLIENT_LOGIN = @CLIENT_LOGIN@
118 CLIENT_SCRIPTS_OPT = @CLIENT_SCRIPTS_OPT@
119 COMPRESS = @COMPRESS@
120 CONFIGURE_COMMAND = @CONFIGURE_COMMAND@
121 CONFIG_DIR = @CONFIG_DIR@
122 CPP = @CPP@
123 CPPFLAGS = @CPPFLAGS@
124 CXX = @CXX@
125 CXXCPP = @CXXCPP@
126 CXXDEPMODE = @CXXDEPMODE@
127 CXXFLAGS = @CXXFLAGS@
128 CYGPATH_W = @CYGPATH_W@
129 DB_EXT = @DB_EXT@
130 DD = @DD@
131 DEFAULT_CHANGER_DEVICE = @DEFAULT_CHANGER_DEVICE@
132 DEFAULT_CONFIG = @DEFAULT_CONFIG@
133 DEFAULT_RAW_TAPE_DEVICE = @DEFAULT_RAW_TAPE_DEVICE@
134 DEFAULT_SERVER = @DEFAULT_SERVER@
135 DEFAULT_TAPE_DEVICE = @DEFAULT_TAPE_DEVICE@
136 DEFAULT_TAPE_SERVER = @DEFAULT_TAPE_SERVER@
137 DEFS = @DEFS@
138 DEPDIR = @DEPDIR@
139 DOC_BUILD_DATE = @DOC_BUILD_DATE@
140 DUMP = @DUMP@
141 DUMPER_DIR = @DUMPER_DIR@
142 ECHO = @ECHO@
143 ECHO_C = @ECHO_C@
144 ECHO_N = @ECHO_N@
145 ECHO_T = @ECHO_T@
146 EGREP = @EGREP@
147 EXEEXT = @EXEEXT@
148 F77 = @F77@
149 FFLAGS = @FFLAGS@
150 GETCONF = @GETCONF@
151 GNUPLOT = @GNUPLOT@
152 GNUTAR = @GNUTAR@
153 GNUTAR_LISTED_INCREMENTAL_DIR = @GNUTAR_LISTED_INCREMENTAL_DIR@
154 GNUTAR_LISTED_INCREMENTAL_DIRX = @GNUTAR_LISTED_INCREMENTAL_DIRX@
155 GREP = @GREP@
156 GZIP = @GZIP@
157 HAVE_XSLTPROC_FALSE = @HAVE_XSLTPROC_FALSE@
158 HAVE_XSLTPROC_TRUE = @HAVE_XSLTPROC_TRUE@
159 INSTALL_DATA = @INSTALL_DATA@
160 INSTALL_PROGRAM = @INSTALL_PROGRAM@
161 INSTALL_SCRIPT = @INSTALL_SCRIPT@
162 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
163 LDFLAGS = @LDFLAGS@
164 LEX = @LEX@
165 LEXLIB = @LEXLIB@
166 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
167 LIBOBJS = @LIBOBJS@
168 LIBS = @LIBS@
169 LIBTOOL = @LIBTOOL@
170 LIBTOOL_DEPS = @LIBTOOL_DEPS@
171 LL_FMT = @LL_FMT@
172 LL_RFMT = @LL_RFMT@
173 LN_S = @LN_S@
174 LTALLOCA = @LTALLOCA@
175 LTLIBOBJS = @LTLIBOBJS@
176 MAILER = @MAILER@
177 MAKEINFO = @MAKEINFO@
178 MAXTAPEBLOCKSIZE = @MAXTAPEBLOCKSIZE@
179 MCUTIL = @MCUTIL@
180 MT = @MT@
181 MTX = @MTX@
182 MT_FILE_FLAG = @MT_FILE_FLAG@
183 OBJEXT = @OBJEXT@
184 PACKAGE = @PACKAGE@
185 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
186 PACKAGE_NAME = @PACKAGE_NAME@
187 PACKAGE_STRING = @PACKAGE_STRING@
188 PACKAGE_TARNAME = @PACKAGE_TARNAME@
189 PACKAGE_VERSION = @PACKAGE_VERSION@
190 PATH_SEPARATOR = @PATH_SEPARATOR@
191 PCAT = @PCAT@
192 PERL = @PERL@
193 PRINT = @PRINT@
194 RANLIB = @RANLIB@
195 READLINE_LIBS = @READLINE_LIBS@
196 RESTORE = @RESTORE@
197 SAMBA_CLIENT = @SAMBA_CLIENT@
198 SERVICE_SUFFIX = @SERVICE_SUFFIX@
199 SETUID_GROUP = @SETUID_GROUP@
200 SET_MAKE = @SET_MAKE@
201 SHELL = @SHELL@
202 SNAPSHOT_STAMP = @SNAPSHOT_STAMP@
203 SORT = @SORT@
204 STRIP = @STRIP@
205 USE_VERSION_SUFFIXES = @USE_VERSION_SUFFIXES@
206 VDUMP = @VDUMP@
207 VERSION = @VERSION@
208 VERSION_COMMENT = @VERSION_COMMENT@
209 VERSION_MAJOR = @VERSION_MAJOR@
210 VERSION_MINOR = @VERSION_MINOR@
211 VERSION_PATCH = @VERSION_PATCH@
212 VERSION_SUFFIX = @VERSION_SUFFIX@
213 VRESTORE = @VRESTORE@
214 VXDUMP = @VXDUMP@
215 VXRESTORE = @VXRESTORE@
216 WANT_AMPLOT_FALSE = @WANT_AMPLOT_FALSE@
217 WANT_AMPLOT_TRUE = @WANT_AMPLOT_TRUE@
218 WANT_CHG_SCSI_FALSE = @WANT_CHG_SCSI_FALSE@
219 WANT_CHG_SCSI_TRUE = @WANT_CHG_SCSI_TRUE@
220 WANT_CHIO_SCSI_FALSE = @WANT_CHIO_SCSI_FALSE@
221 WANT_CHIO_SCSI_TRUE = @WANT_CHIO_SCSI_TRUE@
222 WANT_CLIENT_FALSE = @WANT_CLIENT_FALSE@
223 WANT_CLIENT_TRUE = @WANT_CLIENT_TRUE@
224 WANT_RECOVER_FALSE = @WANT_RECOVER_FALSE@
225 WANT_RECOVER_TRUE = @WANT_RECOVER_TRUE@
226 WANT_RESTORE_FALSE = @WANT_RESTORE_FALSE@
227 WANT_RESTORE_TRUE = @WANT_RESTORE_TRUE@
228 WANT_RUNTIME_PSEUDO_RELOC_FALSE = @WANT_RUNTIME_PSEUDO_RELOC_FALSE@
229 WANT_RUNTIME_PSEUDO_RELOC_TRUE = @WANT_RUNTIME_PSEUDO_RELOC_TRUE@
230 WANT_SAMBA_FALSE = @WANT_SAMBA_FALSE@
231 WANT_SAMBA_TRUE = @WANT_SAMBA_TRUE@
232 WANT_SERVER_FALSE = @WANT_SERVER_FALSE@
233 WANT_SERVER_TRUE = @WANT_SERVER_TRUE@
234 WANT_SETUID_CLIENT_FALSE = @WANT_SETUID_CLIENT_FALSE@
235 WANT_SETUID_CLIENT_TRUE = @WANT_SETUID_CLIENT_TRUE@
236 WANT_SSH_SECURITY_FALSE = @WANT_SSH_SECURITY_FALSE@
237 WANT_SSH_SECURITY_TRUE = @WANT_SSH_SECURITY_TRUE@
238 WANT_TAPE_FALSE = @WANT_TAPE_FALSE@
239 WANT_TAPE_TRUE = @WANT_TAPE_TRUE@
240 XFSDUMP = @XFSDUMP@
241 XFSRESTORE = @XFSRESTORE@
242 XSLTPROC = @XSLTPROC@
243 YACC = @YACC@
244 ac_c = @ac_c@
245 ac_ct_AR = @ac_ct_AR@
246 ac_ct_CC = @ac_ct_CC@
247 ac_ct_CXX = @ac_ct_CXX@
248 ac_ct_F77 = @ac_ct_F77@
249 ac_ct_RANLIB = @ac_ct_RANLIB@
250 ac_ct_STRIP = @ac_ct_STRIP@
251 ac_n = @ac_n@
252 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
253 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
254 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
255 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
256 am__include = @am__include@
257 am__leading_dot = @am__leading_dot@
258 am__quote = @am__quote@
259 am__tar = @am__tar@
260 am__untar = @am__untar@
261 bindir = @bindir@
262 build = @build@
263 build_alias = @build_alias@
264 build_cpu = @build_cpu@
265 build_os = @build_os@
266 build_vendor = @build_vendor@
267 datadir = @datadir@
268 exec_prefix = @exec_prefix@
269 host = @host@
270 host_alias = @host_alias@
271 host_cpu = @host_cpu@
272 host_os = @host_os@
273 host_vendor = @host_vendor@
274 includedir = @includedir@
275 infodir = @infodir@
276 install_sh = @install_sh@
277 libdir = @libdir@
278 libexecdir = @libexecdir@
279 localstatedir = @localstatedir@
280 mandir = @mandir@
281 mkdir_p = @mkdir_p@
282 oldincludedir = @oldincludedir@
283 prefix = @prefix@
284 program_transform_name = @program_transform_name@
285 sbindir = @sbindir@
286 sharedstatedir = @sharedstatedir@
287 sysconfdir = @sysconfdir@
288 target = @target@
289 target_alias = @target_alias@
290 target_cpu = @target_cpu@
291 target_os = @target_os@
292 target_vendor = @target_vendor@
293 AUTOMAKE_OPTIONS = 1.4 foreign
294 ACINCLUDE_M4 = $(srcdir)/acinclude.m4
295 ACINCLUDE_M4I = $(srcdir)/config/acinclude.m4i
296 LIBTOOL_M4I = $(srcdir)/config/libtool.m4i
297 ACINCLUDE_M4_DEPS = $(ACINCLUDE_M4I) $(LIBTOOL_M4I)
298 @WANT_CLIENT_TRUE@CLIENT_SUBDIRS = client-src dumper-src
299 @WANT_TAPE_TRUE@TAPE_SUBDIRS = tape-src
300 @WANT_SERVER_TRUE@SERVER_SUBDIRS = server-src changer-src
301 @WANT_RESTORE_TRUE@RESTORE_SUBDIRS = restore-src
302 @WANT_RECOVER_TRUE@RECOVER_SUBDIRS = recover-src oldrecover-src
303 @WANT_AMPLOT_TRUE@PLOT_SUBDIRS = amplot
304 # order is significant, don't change it arbitrarily
305 SUBDIRS = \
306         config \
307         common-src \
308         amandad-src \
309         $(TAPE_SUBDIRS) \
310         $(CLIENT_SUBDIRS) \
311         $(SERVER_SUBDIRS) \
312         $(RESTORE_SUBDIRS) \
313         $(RECOVER_SUBDIRS) \
314         $(PLOT_SUBDIRS) \
315         man docs example
316
317 pkgdata_DATA = \
318         ReleaseNotes                    \
319         COPYRIGHT                       \
320         COPYRIGHT-APACHE                \
321         COPYRIGHT-REGEX
322
323 EXTRA_DIST = $(SNAPSHOT_STAMP) \
324         $(pkgdata_DATA)                 \
325         autogen                         \
326         contrib/README                  \
327         contrib/dbbackup.README         \
328         contrib/dbbackup.ksh            \
329         contrib/dbbackup.sql            \
330         contrib/dbbackup.tcl            \
331         contrib/mkamandisk              \
332         contrib/set_prod_link.pl        \
333         contrib/gsc/README              \
334         contrib/gsc/cfggsc.c            \
335         contrib/gsc/defgsc.c            \
336         contrib/gsc/gsc.add             \
337         contrib/gsc/gscdd.c             \
338         contrib/gsc/gscdds.h            \
339         contrib/gsc/makefile            \
340         contrib/gsc/tstinq.c            \
341         contrib/gsc/ucfggsc.c           \
342         patches/regex-3.6alpha.patch    \
343         patches/samba-largefs.patch     \
344         patches/tar-1.12.patch          \
345         regex-src/COPYRIGHT             \
346         regex-src/Makefile              \
347         regex-src/README                \
348         regex-src/WHATSNEW              \
349         regex-src/cclass.h              \
350         regex-src/cname.h               \
351         regex-src/debug.c               \
352         regex-src/engine.c              \
353         regex-src/main.c                \
354         regex-src/mkh                   \
355         regex-src/regcomp.c             \
356         regex-src/regerror.c            \
357         regex-src/regex.3               \
358         regex-src/regex.7               \
359         regex-src/regex2.h              \
360         regex-src/regexec.c             \
361         regex-src/regfree.c             \
362         regex-src/split.c               \
363         regex-src/tests                 \
364         regex-src/utils.h               \
365         regex-src/fake/limits.h         \
366         regex-src/fake/memmove.c        \
367         regex-src/fake/stdlib.h
368
369 CONFIG_STATUS = config.status
370 all: all-recursive
371
372 .SUFFIXES:
373 am--refresh:
374         @:
375 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
376         @for dep in $?; do \
377           case '$(am__configure_deps)' in \
378             *$$dep*) \
379               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
380               cd $(srcdir) && $(AUTOMAKE) --foreign  \
381                 && exit 0; \
382               exit 1;; \
383           esac; \
384         done; \
385         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
386         cd $(top_srcdir) && \
387           $(AUTOMAKE) --foreign  Makefile
388 .PRECIOUS: Makefile
389 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
390         @case '$?' in \
391           *config.status*) \
392             echo ' $(SHELL) ./config.status'; \
393             $(SHELL) ./config.status;; \
394           *) \
395             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
396             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
397         esac;
398
399 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
400         $(SHELL) ./config.status --recheck
401
402 $(top_srcdir)/configure:  $(am__configure_deps)
403         cd $(srcdir) && $(AUTOCONF)
404 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
405         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
406
407 mostlyclean-libtool:
408         -rm -f *.lo
409
410 clean-libtool:
411         -rm -rf .libs _libs
412
413 distclean-libtool:
414         -rm -f libtool
415 uninstall-info-am:
416 install-pkgdataDATA: $(pkgdata_DATA)
417         @$(NORMAL_INSTALL)
418         test -z "$(pkgdatadir)" || $(mkdir_p) "$(DESTDIR)$(pkgdatadir)"
419         @list='$(pkgdata_DATA)'; for p in $$list; do \
420           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
421           f=$(am__strip_dir) \
422           echo " $(pkgdataDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(pkgdatadir)/$$f'"; \
423           $(pkgdataDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(pkgdatadir)/$$f"; \
424         done
425
426 uninstall-pkgdataDATA:
427         @$(NORMAL_UNINSTALL)
428         @list='$(pkgdata_DATA)'; for p in $$list; do \
429           f=$(am__strip_dir) \
430           echo " rm -f '$(DESTDIR)$(pkgdatadir)/$$f'"; \
431           rm -f "$(DESTDIR)$(pkgdatadir)/$$f"; \
432         done
433
434 # This directory's subdirectories are mostly independent; you can cd
435 # into them and run `make' without going through this Makefile.
436 # To change the values of `make' variables: instead of editing Makefiles,
437 # (1) if the variable is set in `config.status', edit `config.status'
438 #     (which will cause the Makefiles to be regenerated when you run `make');
439 # (2) otherwise, pass the desired values on the `make' command line.
440 $(RECURSIVE_TARGETS):
441         @failcom='exit 1'; \
442         for f in x $$MAKEFLAGS; do \
443           case $$f in \
444             *=* | --[!k]*);; \
445             *k*) failcom='fail=yes';; \
446           esac; \
447         done; \
448         dot_seen=no; \
449         target=`echo $@ | sed s/-recursive//`; \
450         list='$(SUBDIRS)'; for subdir in $$list; do \
451           echo "Making $$target in $$subdir"; \
452           if test "$$subdir" = "."; then \
453             dot_seen=yes; \
454             local_target="$$target-am"; \
455           else \
456             local_target="$$target"; \
457           fi; \
458           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
459           || eval $$failcom; \
460         done; \
461         if test "$$dot_seen" = "no"; then \
462           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
463         fi; test -z "$$fail"
464
465 mostlyclean-recursive clean-recursive distclean-recursive \
466 maintainer-clean-recursive:
467         @failcom='exit 1'; \
468         for f in x $$MAKEFLAGS; do \
469           case $$f in \
470             *=* | --[!k]*);; \
471             *k*) failcom='fail=yes';; \
472           esac; \
473         done; \
474         dot_seen=no; \
475         case "$@" in \
476           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
477           *) list='$(SUBDIRS)' ;; \
478         esac; \
479         rev=''; for subdir in $$list; do \
480           if test "$$subdir" = "."; then :; else \
481             rev="$$subdir $$rev"; \
482           fi; \
483         done; \
484         rev="$$rev ."; \
485         target=`echo $@ | sed s/-recursive//`; \
486         for subdir in $$rev; do \
487           echo "Making $$target in $$subdir"; \
488           if test "$$subdir" = "."; then \
489             local_target="$$target-am"; \
490           else \
491             local_target="$$target"; \
492           fi; \
493           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
494           || eval $$failcom; \
495         done && test -z "$$fail"
496 tags-recursive:
497         list='$(SUBDIRS)'; for subdir in $$list; do \
498           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
499         done
500 ctags-recursive:
501         list='$(SUBDIRS)'; for subdir in $$list; do \
502           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
503         done
504
505 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
506         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
507         unique=`for i in $$list; do \
508             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
509           done | \
510           $(AWK) '    { files[$$0] = 1; } \
511                END { for (i in files) print i; }'`; \
512         mkid -fID $$unique
513 tags: TAGS
514
515 TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
516                 $(TAGS_FILES) $(LISP)
517         tags=; \
518         here=`pwd`; \
519         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
520           include_option=--etags-include; \
521           empty_fix=.; \
522         else \
523           include_option=--include; \
524           empty_fix=; \
525         fi; \
526         list='$(SUBDIRS)'; for subdir in $$list; do \
527           if test "$$subdir" = .; then :; else \
528             test ! -f $$subdir/TAGS || \
529               tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
530           fi; \
531         done; \
532         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
533         unique=`for i in $$list; do \
534             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
535           done | \
536           $(AWK) '    { files[$$0] = 1; } \
537                END { for (i in files) print i; }'`; \
538         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
539           test -n "$$unique" || unique=$$empty_fix; \
540           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
541             $$tags $$unique; \
542         fi
543 ctags: CTAGS
544 CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
545                 $(TAGS_FILES) $(LISP)
546         tags=; \
547         here=`pwd`; \
548         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
549         unique=`for i in $$list; do \
550             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
551           done | \
552           $(AWK) '    { files[$$0] = 1; } \
553                END { for (i in files) print i; }'`; \
554         test -z "$(CTAGS_ARGS)$$tags$$unique" \
555           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
556              $$tags $$unique
557
558 GTAGS:
559         here=`$(am__cd) $(top_builddir) && pwd` \
560           && cd $(top_srcdir) \
561           && gtags -i $(GTAGS_ARGS) $$here
562
563 distclean-tags:
564         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
565
566 distdir: $(DISTFILES)
567         $(am__remove_distdir)
568         mkdir $(distdir)
569         $(mkdir_p) $(distdir)/amplot $(distdir)/changer-src $(distdir)/client-src $(distdir)/common-src $(distdir)/contrib $(distdir)/contrib/gsc $(distdir)/dumper-src $(distdir)/example $(distdir)/patches $(distdir)/regex-src $(distdir)/regex-src/fake $(distdir)/server-src
570         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
571         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
572         list='$(DISTFILES)'; for file in $$list; do \
573           case $$file in \
574             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
575             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
576           esac; \
577           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
578           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
579           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
580             dir="/$$dir"; \
581             $(mkdir_p) "$(distdir)$$dir"; \
582           else \
583             dir=''; \
584           fi; \
585           if test -d $$d/$$file; then \
586             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
587               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
588             fi; \
589             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
590           else \
591             test -f $(distdir)/$$file \
592             || cp -p $$d/$$file $(distdir)/$$file \
593             || exit 1; \
594           fi; \
595         done
596         list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
597           if test "$$subdir" = .; then :; else \
598             test -d "$(distdir)/$$subdir" \
599             || $(mkdir_p) "$(distdir)/$$subdir" \
600             || exit 1; \
601             distdir=`$(am__cd) $(distdir) && pwd`; \
602             top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
603             (cd $$subdir && \
604               $(MAKE) $(AM_MAKEFLAGS) \
605                 top_distdir="$$top_distdir" \
606                 distdir="$$distdir/$$subdir" \
607                 distdir) \
608               || exit 1; \
609           fi; \
610         done
611         $(MAKE) $(AM_MAKEFLAGS) \
612           top_distdir="$(top_distdir)" distdir="$(distdir)" \
613           dist-hook
614         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
615           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
616           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
617           ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
618         || chmod -R a+r $(distdir)
619 dist-gzip: distdir
620         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
621         $(am__remove_distdir)
622
623 dist-bzip2: distdir
624         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
625         $(am__remove_distdir)
626
627 dist-tarZ: distdir
628         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
629         $(am__remove_distdir)
630
631 dist-shar: distdir
632         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
633         $(am__remove_distdir)
634
635 dist-zip: distdir
636         -rm -f $(distdir).zip
637         zip -rq $(distdir).zip $(distdir)
638         $(am__remove_distdir)
639
640 dist dist-all: distdir
641         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
642         $(am__remove_distdir)
643
644 # This target untars the dist file and tries a VPATH configuration.  Then
645 # it guarantees that the distribution is self-contained by making another
646 # tarfile.
647 distcheck: dist
648         case '$(DIST_ARCHIVES)' in \
649         *.tar.gz*) \
650           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
651         *.tar.bz2*) \
652           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
653         *.tar.Z*) \
654           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
655         *.shar.gz*) \
656           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
657         *.zip*) \
658           unzip $(distdir).zip ;;\
659         esac
660         chmod -R a-w $(distdir); chmod a+w $(distdir)
661         mkdir $(distdir)/_build
662         mkdir $(distdir)/_inst
663         chmod a-w $(distdir)
664         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
665           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
666           && cd $(distdir)/_build \
667           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
668             $(DISTCHECK_CONFIGURE_FLAGS) \
669           && $(MAKE) $(AM_MAKEFLAGS) \
670           && $(MAKE) $(AM_MAKEFLAGS) dvi \
671           && $(MAKE) $(AM_MAKEFLAGS) check \
672           && $(MAKE) $(AM_MAKEFLAGS) install \
673           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
674           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
675           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
676                 distuninstallcheck \
677           && chmod -R a-w "$$dc_install_base" \
678           && ({ \
679                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
680                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
681                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
682                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
683                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
684               } || { rm -rf "$$dc_destdir"; exit 1; }) \
685           && rm -rf "$$dc_destdir" \
686           && $(MAKE) $(AM_MAKEFLAGS) dist \
687           && rm -rf $(DIST_ARCHIVES) \
688           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
689         $(am__remove_distdir)
690         @(echo "$(distdir) archives ready for distribution: "; \
691           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
692           sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
693 distuninstallcheck:
694         @cd $(distuninstallcheck_dir) \
695         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
696            || { echo "ERROR: files left after uninstall:" ; \
697                 if test -n "$(DESTDIR)"; then \
698                   echo "  (check DESTDIR support)"; \
699                 fi ; \
700                 $(distuninstallcheck_listfiles) ; \
701                 exit 1; } >&2
702 distcleancheck: distclean
703         @if test '$(srcdir)' = . ; then \
704           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
705           exit 1 ; \
706         fi
707         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
708           || { echo "ERROR: files left in build directory after distclean:" ; \
709                $(distcleancheck_listfiles) ; \
710                exit 1; } >&2
711 check-am: all-am
712 check: check-recursive
713 all-am: Makefile $(DATA)
714 installdirs: installdirs-recursive
715 installdirs-am:
716         for dir in "$(DESTDIR)$(pkgdatadir)"; do \
717           test -z "$$dir" || $(mkdir_p) "$$dir"; \
718         done
719 install: install-recursive
720 install-exec: install-exec-recursive
721 install-data: install-data-recursive
722 uninstall: uninstall-recursive
723
724 install-am: all-am
725         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
726
727 installcheck: installcheck-recursive
728 install-strip:
729         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
730           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
731           `test -z '$(STRIP)' || \
732             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
733 mostlyclean-generic:
734
735 clean-generic:
736
737 distclean-generic:
738         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
739
740 maintainer-clean-generic:
741         @echo "This command is intended for maintainers to use"
742         @echo "it deletes files that may require special tools to rebuild."
743 clean: clean-recursive
744
745 clean-am: clean-generic clean-libtool mostlyclean-am
746
747 distclean: distclean-recursive
748         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
749         -rm -f Makefile
750 distclean-am: clean-am distclean-generic distclean-libtool \
751         distclean-tags
752
753 dvi: dvi-recursive
754
755 dvi-am:
756
757 html: html-recursive
758
759 info: info-recursive
760
761 info-am:
762
763 install-data-am: install-pkgdataDATA
764
765 install-exec-am:
766
767 install-info: install-info-recursive
768
769 install-man:
770
771 installcheck-am:
772
773 maintainer-clean: maintainer-clean-recursive
774         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
775         -rm -rf $(top_srcdir)/autom4te.cache
776         -rm -f Makefile
777 maintainer-clean-am: distclean-am maintainer-clean-generic
778
779 mostlyclean: mostlyclean-recursive
780
781 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
782
783 pdf: pdf-recursive
784
785 pdf-am:
786
787 ps: ps-recursive
788
789 ps-am:
790
791 uninstall-am: uninstall-info-am uninstall-pkgdataDATA
792
793 uninstall-info: uninstall-info-recursive
794
795 .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
796         check-am clean clean-generic clean-libtool clean-recursive \
797         ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
798         dist-hook dist-shar dist-tarZ dist-zip distcheck distclean \
799         distclean-generic distclean-libtool distclean-recursive \
800         distclean-tags distcleancheck distdir distuninstallcheck dvi \
801         dvi-am html html-am info info-am install install-am \
802         install-data install-data-am install-exec install-exec-am \
803         install-info install-info-am install-man install-pkgdataDATA \
804         install-strip installcheck installcheck-am installdirs \
805         installdirs-am maintainer-clean maintainer-clean-generic \
806         maintainer-clean-recursive mostlyclean mostlyclean-generic \
807         mostlyclean-libtool mostlyclean-recursive pdf pdf-am ps ps-am \
808         tags tags-recursive uninstall uninstall-am uninstall-info-am \
809         uninstall-pkgdataDATA
810
811
812 $(ACINCLUDE_M4): $(ACINCLUDE_M4_DEPS)
813         @-rm -f $@
814         @cat $(ACINCLUDE_M4_DEPS) > $@
815
816 libtool: $(LIBTOOL_DEPS)
817         $(SHELL) ./config.status --recheck
818 $(CONFIG_STATUS): $(SNAPSHOT_STAMP)
819 SNAPSHOT:
820         : SNAPSHOT file was removed, will reconfigure...
821
822 lint:
823         (cd amandad-src; make lint)
824         (cd changer-src; make lint)
825         (cd client-src; make lint)
826         (cd common-src; make lint)
827         (cd oldrecover-src; make lint)
828         (cd recover-src; make lint)
829         (cd regex-src; make lint)
830         (cd restore-src; make lint)
831         (cd server-src; make lint)
832         (cd tape-src; make lint)
833
834 dist-hook:
835         find $(distdir)/. -name '*.test.c' -exec rm {} \;
836 # Tell versions [3.59,3.63) of GNU make to not export all variables.
837 # Otherwise a system limit (for SysV at least) may be exceeded.
838 .NOEXPORT: